{"models":[{"endpoint_id":"xai/grok-imagine-video/v1.5/reference-to-video","metadata":{"display_name":"Grok Imagine Video 1.5 Reference to Video","category":"image-to-video","description":"Generate videos from images and audio references using xAI's Grok Imagine 1.5 Video model.\n","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-08-31T17:43:51.361Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa44028/2nTJFjWkMjyrXI-b6-euJ.jpg","model_url":"https://fal.run/xai/grok-imagine-video/v1.5/reference-to-video","license_type":"commercial","date":"2026-07-29T22:42:07.062Z","group":{"key":"imagine15","label":"Reference to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for xai/grok-imagine-video/v1.5/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the xai/grok-imagine-video/v1.5/reference-to-video queue.","x-fal-metadata":{"endpointId":"xai/grok-imagine-video/v1.5/reference-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa44028/2nTJFjWkMjyrXI-b6-euJ.jpg","playgroundUrl":"https://fal.ai/models/xai/grok-imagine-video/v1.5/reference-to-video","documentationUrl":"https://fal.ai/models/xai/grok-imagine-video/v1.5/reference-to-video/api","about":"Reference To Video V1 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"GrokImagineVideoV15ReferenceToVideoInput":{"required":["prompt","reference_image_urls"],"x-fal-order-properties":["prompt","reference_image_urls","duration","resolution","aspect_ratio"],"title":"XAIReferenceToVideoV15Input","type":"object","properties":{"duration":{"default":8,"minimum":1,"description":"Video duration in seconds.","title":"Duration","type":"integer","maximum":15},"resolution":{"description":"Resolution of the output video.","title":"Resolution","type":"string","default":"480p","enum":["480p","720p"]},"prompt":{"description":"Text prompt describing the video. Tag references as <IMAGE_0>, <IMAGE_1>, etc.","title":"Prompt","examples":["The person from <IMAGE_0> walks through a rainy neon-lit street."],"type":"string","maxLength":4096},"reference_image_urls":{"minItems":1,"description":"One or more reference image URLs to guide the video generation as style and content references. Reference in prompt as <IMAGE_0>, <IMAGE_1>, etc. Maximum 7 images.","title":"Reference Image URLs","maxItems":7,"items":{"type":"string"},"examples":[["https://v3b.fal.media/files/b/0a8b90e0/BFLE9VDlZqsryU-UA3BoD_image_004.png"]],"type":"array"},"aspect_ratio":{"description":"Aspect ratio of the generated video.","title":"Aspect Ratio","type":"string","default":"16:9","enum":["16:9","4:3","3:2","1:1","2:3","3:4","9:16"]}}},"GrokImagineVideoV15ReferenceToVideoOutput":{"required":["video"],"x-fal-order-properties":["video"],"title":"XAIReferenceToVideoOutput","type":"object","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/VideoFile","examples":[{"width":1280,"file_name":"r2v_output.mp4","duration":8,"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/0a8b90e4/r2v_output.mp4","num_frames":192,"height":720,"fps":24}]}}},"VideoFile":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"title":"VideoFile","type":"object","properties":{"width":{"description":"The width of the video","title":"Width","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"fps":{"description":"The FPS of the video","title":"Fps","anyOf":[{"type":"number"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"num_frames":{"description":"The number of frames in the video","title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}]},"height":{"description":"The height of the video","title":"Height","anyOf":[{"type":"integer"},{"type":"null"}]},"duration":{"description":"The duration of the video","title":"Duration","anyOf":[{"type":"number"},{"type":"null"}]}}}}},"paths":{"/xai/grok-imagine-video/v1.5/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/xai/grok-imagine-video/v1.5/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/xai/grok-imagine-video/v1.5/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrokImagineVideoV15ReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/xai/grok-imagine-video/v1.5/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrokImagineVideoV15ReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"bytedance/seedance-2.5/us/image-to-video","metadata":{"display_name":"Seedance 2.5 US Image to Video","category":"image-to-video","description":"US-hosted ByteDance Seedance 2.5 animates still images with synchronized audio and optional end-frame control. Generate videos up to 30 seconds at 480p or 720p.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-09-19T03:10:13.447Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aaafd55/0c84v0HjbaufuRK6VuCFC.jpg","model_url":"https://fal.run/bytedance/seedance-2.5/us/image-to-video","license_type":"commercial","date":"2026-09-19T01:16:54.572Z","group":{"key":"seedance-2.5-us","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for bytedance/seedance-2.5/us/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the bytedance/seedance-2.5/us/image-to-video queue.","x-fal-metadata":{"endpointId":"bytedance/seedance-2.5/us/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aaafd55/0c84v0HjbaufuRK6VuCFC.jpg","playgroundUrl":"https://fal.ai/models/bytedance/seedance-2.5/us/image-to-video","documentationUrl":"https://fal.ai/models/bytedance/seedance-2.5/us/image-to-video/api","about":"Us Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Seedance25UsImageToVideoInput":{"required":["prompt","image_url"],"title":"Seedance2I2VUSInput","properties":{"duration":{"title":"Duration","default":"auto","enum":["auto","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30"],"description":"Duration of the video in seconds. Supports 4 to 30 seconds, or auto to let the model decide based on the prompt.","type":"string"},"image_url":{"title":"Image Url","description":"The URL of the starting frame image to animate. Supported formats: JPEG, PNG, WebP. Max 30 MB.","type":"string","examples":["https://v3b.fal.media/files/b/0a8eba37/Cqg-4Uwzyz4DELfceT1CF_a17e588773ec45b1a9e6f100a787b80b.jpg"]},"resolution":{"title":"Resolution","default":"720p","enum":["480p","720p"],"description":"Video resolution - 480p for faster generation, 720p for balance.","type":"string"},"generate_audio":{"title":"Generate Audio","default":true,"description":"Whether to generate synchronized audio for the video, including sound effects, ambient sounds, and lip-synced speech. The cost of video generation is the same regardless of whether audio is generated or not.","type":"boolean"},"end_image_url":{"title":"End Image Url","anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the image to use as the last frame of the video. When provided, the generated video will transition from the starting image to this ending image. Supported formats: JPEG, PNG, WebP. Max 30 MB."},"end_user_id":{"title":"End User Id","anyOf":[{"type":"string"},{"type":"null"}],"description":"The unique user ID of the end user."},"prompt":{"title":"Prompt","description":"The text prompt describing the desired motion and action for the video.","type":"string","examples":["An octopus finds a football in the ocean and excitedly calls its octopus friends to come and play. Cut scene to an octopus football game under the sea."]},"bitrate_mode":{"title":"Bitrate Mode","default":"standard","enum":["standard","high"],"description":"Output bitrate mode. 'high' requests a higher-quality, larger-file encode from the model; 'standard' uses the default bitrate.","type":"string","examples":["standard"]},"aspect_ratio":{"title":"Aspect Ratio","default":"auto","description":"The aspect ratio of the generated video. Always \"auto\" for image-to-video","type":"string","const":"auto"}},"x-fal-order-properties":["prompt","image_url","end_image_url","resolution","duration","aspect_ratio","generate_audio","bitrate_mode","end_user_id"],"type":"object"},"Seedance25UsImageToVideoOutput":{"required":["video","seed"],"title":"Seedance2VideoOutput","properties":{"video":{"description":"The generated video file.","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/bytedance/seedance_2/output.mp4"}],"$ref":"#/components/schemas/File"},"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer","examples":[42]}},"x-fal-order-properties":["video","seed"],"type":"object"},"File":{"required":["url"],"title":"File","properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/bytedance/seedance-2.5/us/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bytedance/seedance-2.5/us/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/bytedance/seedance-2.5/us/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Seedance25UsImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bytedance/seedance-2.5/us/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Seedance25UsImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3/image-to-video/fast","metadata":{"display_name":"LTX 2.3 Video Fast","category":"image-to-video","description":"LTX-2.3 is a high-quality, fast AI video model available in Pro and Fast variants for text-to-video, image-to-video, and audio-to-video.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a90deec/VLgiT5pFEJA28BXrrulvj_7d7b24f447f945ffab1acb33ae27d9b9.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3/image-to-video/fast","license_type":"commercial","date":"2026-03-05T15:34:01.598Z","group":{"key":"ltx-2-3","label":"Image to Video (Fast)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a90deec/VLgiT5pFEJA28BXrrulvj_7d7b24f447f945ffab1acb33ae27d9b9.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3/image-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3/image-to-video/fast/api","about":"Generate a video from an image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23ImageToVideoFastInput":{"x-fal-order-properties":["image_url","end_image_url","prompt","duration","resolution","aspect_ratio","fps","generate_audio"],"properties":{"fps":{"description":"The frames per second of the generated video","type":"integer","title":"Frames per Second","enum":[24,25,48,50],"default":25},"aspect_ratio":{"description":"The aspect ratio of the generated video","type":"string","title":"Aspect Ratio","enum":["auto","16:9","9:16"],"default":"auto"},"generate_audio":{"description":"Whether to generate audio for the generated video","type":"boolean","title":"Generate Audio","default":true},"resolution":{"description":"The resolution of the generated video","type":"string","title":"Resolution","enum":["1080p","1440p","2160p"],"default":"1080p"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the end image to use for the generated video. When provided, generates a transition video between start and end frames.","title":"End Image URL"},"prompt":{"examples":["Snorkel lens ground-scraping tracking shot following a barefoot Ethiopian long-distance runner training on a dirt road at dawn, camera inches from the ground racing alongside, her feet kicking up red dust in slow motion at 240fps, Rift Valley landscape blurred in the background, the texture of earth and callused skin in hyper-detail, 40mm snorkel lens at ground height, Nike Running documentary meets Lubezki natural light, the poetry of human endurance"],"description":"The prompt to generate the video from","type":"string","title":"Prompt","minLength":1,"maxLength":5000},"duration":{"description":"The duration of the generated video in seconds. The fast model supports 6-20 seconds. Note: Durations longer than 10 seconds (12, 14, 16, 18, 20) are only supported with 25 FPS and 1080p resolution.","type":"integer","title":"Duration","enum":[6,8,10,12,14,16,18,20],"default":6},"image_url":{"examples":["https://v3b.fal.media/files/b/0a90dd09/SnnnNct-o_zpGVEHDNVQ0_image_049.png"],"description":"URL of the image to generate the video from. Must be publicly accessible or base64 data URI. Supports PNG, JPEG, WebP, AVIF, and HEIF formats.","title":"Start Image URL","type":"string"}},"type":"object","title":"LTXV23ImageToVideoFastRequest","required":["prompt","image_url"]},"Ltx23ImageToVideoFastOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a90dd0b/JCP0MJDH3ioOFzRd7GsGi_aB0OxLmA.mp4","content_type":"video/mp4","file_name":"JCP0MJDH3ioOFzRd7GsGi_aB0OxLmA.mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated video file"}},"type":"object","title":"LTXV23ImageToVideoFastResponse","required":["video"]},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","title":"VideoFile","required":["url"]}}},"paths":{"/fal-ai/ltx-2.3/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"xai/grok-imagine-video/reference-to-video","metadata":{"display_name":"Grok Imagine Reference to Video","category":"image-to-video","description":"Generate videos using multiple reference images with xAI's Grok Imagine video model","status":"active","tags":["video-edit","v2v","grok","xai"],"updated_at":"2026-04-26T22:32:05.599Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a937ab6/vW4pJVZGWgLX9tSTMZPiz_314f49c562014442a5a64eed32ab69ae.jpg","model_url":"https://fal.run/xai/grok-imagine-video/reference-to-video","license_type":"commercial","date":"2026-03-24T17:55:41.616Z","group":{"key":"grok-imagine-video","label":"Reference to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for xai/grok-imagine-video/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the xai/grok-imagine-video/reference-to-video queue.","x-fal-metadata":{"endpointId":"xai/grok-imagine-video/reference-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a937ab6/vW4pJVZGWgLX9tSTMZPiz_314f49c562014442a5a64eed32ab69ae.jpg","playgroundUrl":"https://fal.ai/models/xai/grok-imagine-video/reference-to-video","documentationUrl":"https://fal.ai/models/xai/grok-imagine-video/reference-to-video/api","about":"Generate a video guided by reference images using Grok Imagine."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"GrokImagineVideoReferenceToVideoInput":{"required":["prompt","reference_image_urls"],"x-fal-order-properties":["prompt","reference_image_urls","duration","resolution","aspect_ratio"],"title":"XAIReferenceToVideoInput","type":"object","properties":{"duration":{"default":8,"minimum":1,"description":"Video duration in seconds.","title":"Duration","type":"integer","maximum":10},"resolution":{"description":"Resolution of the output video.","title":"Resolution","type":"string","default":"480p","enum":["480p","720p"]},"prompt":{"description":"Text prompt describing the video to generate. Use @Image1, @Image2, etc. to reference specific images from reference_image_urls in order.","title":"Prompt","examples":["A @Image1 running through a sunlit meadow, cinematic slow motion"],"type":"string","maxLength":4096},"reference_image_urls":{"minItems":1,"description":"One or more reference image URLs to guide the video generation as style and content references. Reference in prompt as @Image1, @Image2, etc. Maximum 7 images.","title":"Reference Image URLs","maxItems":7,"items":{"type":"string"},"examples":[["https://v3b.fal.media/files/b/0a8b90e0/BFLE9VDlZqsryU-UA3BoD_image_004.png"]],"type":"array"},"aspect_ratio":{"description":"Aspect ratio of the generated video.","title":"Aspect Ratio","type":"string","default":"16:9","enum":["16:9","4:3","3:2","1:1","2:3","3:4","9:16"]}}},"GrokImagineVideoReferenceToVideoOutput":{"required":["video"],"x-fal-order-properties":["video"],"title":"XAIReferenceToVideoOutput","type":"object","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/VideoFile","examples":[{"width":1280,"file_name":"r2v_output.mp4","duration":8,"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/0a8b90e4/r2v_output.mp4","num_frames":192,"height":720,"fps":24}]}}},"VideoFile":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"title":"VideoFile","type":"object","properties":{"width":{"description":"The width of the video","title":"Width","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"fps":{"description":"The FPS of the video","title":"Fps","anyOf":[{"type":"number"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"num_frames":{"description":"The number of frames in the video","title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}]},"height":{"description":"The height of the video","title":"Height","anyOf":[{"type":"integer"},{"type":"null"}]},"duration":{"description":"The duration of the video","title":"Duration","anyOf":[{"type":"number"},{"type":"null"}]}}}}},"paths":{"/xai/grok-imagine-video/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/xai/grok-imagine-video/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/xai/grok-imagine-video/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrokImagineVideoReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/xai/grok-imagine-video/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrokImagineVideoReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/sync-lipsync/v3/image-to-video","metadata":{"display_name":"sync-3 Avatar Image to Video","category":"image-to-video","description":"sync-3 image to video turns a single still into a talking character, and works with any illustration or animated frame paired with a voice track","status":"active","tags":["animation","lip sync","text-to-speech"],"updated_at":"2026-07-01T04:52:04.240Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f5836/AuJPMp_Mj03AlRY0-sjy9_65d33ab7767344b7ba7e44d14319e189.jpg","model_url":"https://fal.run/fal-ai/sync-lipsync/v3/image-to-video","license_type":"commercial","date":"2026-06-22T17:36:55.325Z","group":{"key":"sync-3","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/sync-lipsync/v3/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/sync-lipsync/v3/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/sync-lipsync/v3/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f5836/AuJPMp_Mj03AlRY0-sjy9_65d33ab7767344b7ba7e44d14319e189.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/sync-lipsync/v3/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/sync-lipsync/v3/image-to-video/api","about":"Lipsync Request V3 Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"SyncLipsyncV3ImageToVideoInput":{"title":"Sync3ImageToVideoInput","properties":{"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/echo-mimic-input-image.png"],"type":"string","description":"URL of the input image. sync-3 animates the face in the image so it lip-syncs to the provided audio (image-to-video). Supported image formats: JPEG, PNG and WebP."},"audio_url":{"title":"Audio Url","examples":["https://fal.media/files/lion/vyFWygmZsIZlUO4s0nr2n.wav"],"type":"string","description":"URL of the input audio. The output video matches its duration."}},"x-fal-order-properties":["image_url","audio_url"],"type":"object","required":["image_url","audio_url"]},"SyncLipsyncV3ImageToVideoOutput":{"title":"Sync3Output","properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a93c312/TqKMiLtCcTKWSeAWXJRD0_output.mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}},"x-fal-order-properties":["video"],"type":"object","required":["video"]},"File":{"title":"File","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","required":["url"]}}},"paths":{"/fal-ai/sync-lipsync/v3/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/sync-lipsync/v3/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/sync-lipsync/v3/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncLipsyncV3ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/sync-lipsync/v3/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncLipsyncV3ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/o1/image-to-video","metadata":{"display_name":"Kling O1 First Frame Last Frame to Video [Pro]","category":"image-to-video","description":"Generate a video by taking a start frame and an end frame, animating the transition between them while following text-driven style and scene guidance.","status":"active","tags":[],"updated_at":"2026-04-26T22:25:17.147Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/monkey/fPJwa1EtpB5bYyqS2u7us_ddd5fec670b149288123785cd5ee6e54.jpg","model_url":"https://fal.run/fal-ai/kling-video/o1/image-to-video","license_type":"commercial","date":"2025-12-01T11:39:20.265Z","group":{"key":"kling-video/o1","label":"FLFV [Pro]"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kling-video/o1/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/o1/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/o1/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/monkey/fPJwa1EtpB5bYyqS2u7us_ddd5fec670b149288123785cd5ee6e54.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/o1/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/o1/image-to-video/api","about":"Generate a video that transitions from start frame to end frame.\nThe video will smoothly animate between the two provided images."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoO1ImageToVideoInput":{"required":["prompt","start_image_url"],"properties":{"start_image_url":{"type":"string","examples":["https://v3b.fal.media/files/b/rabbit/NaslJIC7F2WodS6DFZRRJ.png"],"title":"Start Image Url","x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"description":"Image to use as the first frame of the video.\n\nMax file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},"end_image_url":{"examples":["https://v3b.fal.media/files/b/tiger/BwHi22qoQnqaTNMMhe533.png"],"title":"End Image Url","anyOf":[{"ui":{"field":"image"},"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"type":"string","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},{"type":"null"}],"description":"Image to use as the last frame of the video."},"prompt":{"maxLength":2500,"examples":["Create a magical timelapse transition. The snow melts rapidly to reveal green grass, and the tree branches burst into bloom with pink flowers in real-time. The lighting shifts from cold winter light to warm spring sunshine. The camera pushes in slowly towards the tree. Disney-style magical transformation, cinematic, 8k."],"title":"Prompt","description":"Use @Image1 to reference the start frame, @Image2 to reference the end frame.","type":"string"},"duration":{"default":"5","title":"Duration","enum":["3","4","5","6","7","8","9","10"],"description":"Video duration in seconds.","type":"string"}},"title":"OmniVideoImageToVideoInput","type":"object","x-fal-order-properties":["prompt","start_image_url","end_image_url","duration"]},"KlingVideoO1ImageToVideoOutput":{"description":"Output for Kling Omni Video generation.","required":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video.","examples":[{"content_type":"video/mp4","file_size":27588984,"url":"https://v3b.fal.media/files/b/koala/knryyyGF3ZVyMMrGr77CL_output.mp4","file_name":"output.mp4"}]}},"title":"OmniVideoImageToVideoOutput","type":"object","x-fal-order-properties":["video"]},"File":{"required":["url"],"properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]}},"title":"File","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kling-video/o1/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o1/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/o1/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO1ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o1/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO1ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video","metadata":{"display_name":"MiniMax Hailuo 2.3 Fast [Standard] (Image to Video)","category":"image-to-video","description":"MiniMax Hailuo-2.3-Fast Image To Video API (Standard, 768p): Advanced fast image-to-video generation model with 768p resolution","status":"active","tags":["image-to-video"],"updated_at":"2026-04-21T17:52:03.155Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/penguin/wEXBG5qZxdJ1Ed5P-EWYT_c69665fc168a437bb53d99ae8534eabe.jpg","model_url":"https://fal.run/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video","license_type":"commercial","date":"2025-10-27T13:12:54.242Z","group":{"key":"hailuo-23","label":"Fast Image To Video (standard)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/penguin/wEXBG5qZxdJ1Ed5P-EWYT_c69665fc168a437bb53d99ae8534eabe.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video/api","about":"Image To Video Hailuo 23 Standard Fast"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxHailuo23FastStandardImageToVideoInput":{"x-fal-order-properties":["prompt","prompt_optimizer","image_url","duration"],"title":"StandardFastImageToVideoHailuo23Input","properties":{"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/hailuo23/fast_standard_i2v_in.jpg"],"type":"string","_fal_ui_field":"image","description":"URL of the image to use as the first frame"},"prompt":{"title":"Prompt","minLength":1,"examples":["Athlete running powerfully on beach, dynamic camera movement tracking the runner, waves and sunset in motion, Hollywood movie cinematography, professional sports filming, inspiring atmosphere"],"maxLength":2000,"type":"string","description":"Text prompt for video generation"},"duration":{"enum":["6","10"],"title":"Duration","type":"string","description":"The duration of the video in seconds.","default":"6"},"prompt_optimizer":{"title":"Prompt Optimizer","type":"boolean","description":"Whether to use the model's prompt optimizer","default":true}},"type":"object","required":["prompt","image_url"]},"MinimaxHailuo23FastStandardImageToVideoOutput":{"x-fal-order-properties":["video"],"title":"StandardFastImageToVideoHailuo23Output","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/hailuo23/fast_standard_i2v_out.mp4"}],"description":"The generated video"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo23FastStandardImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-2.3-fast/standard/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo23FastStandardImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-i2v","metadata":{"display_name":"Wan-2.1 Image-to-Video","category":"image-to-video","description":"Wan-2.1 is a image-to-video model that generates high-quality videos with high visual quality and motion diversity from images","status":"active","tags":["image to video","motion"],"updated_at":"2026-04-21T17:56:05.437Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/hunyuan-video-image-to-video.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/hunyuan-video-image-to-video-animated.webp","model_url":"https://fal.run/fal-ai/wan-i2v","license_type":"commercial","date":"2025-02-25T00:00:00.000Z","group":{"key":"wan-2.1","label":"Image-to-Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan-i2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-i2v queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-i2v","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/hunyuan-video-image-to-video.webp","playgroundUrl":"https://fal.ai/models/fal-ai/wan-i2v","documentationUrl":"https://fal.ai/models/fal-ai/wan-i2v/api","about":"Inference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanI2vInput":{"properties":{"shift":{"maximum":10,"minimum":1,"default":5,"title":"Shift","description":"Shift parameter for video generation.","type":"number"},"frames_per_second":{"anyOf":[{"maximum":24,"minimum":5,"type":"integer"},{"type":"null"}],"default":16,"title":"Frames Per Second","description":"Frames per second of the generated video. Must be between 5 to 24."},"resolution":{"title":"Resolution","default":"720p","enum":["480p","720p"],"description":"Resolution of the generated video (480p or 720p). 480p is 0.5 billing units, and 720p is 1 billing unit.","type":"string"},"negative_prompt":{"description":"Negative prompt for video generation.","title":"Negative Prompt","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards","examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"type":"string"},"aspect_ratio":{"title":"Aspect Ratio","default":"auto","enum":["auto","16:9","9:16","1:1"],"description":"Aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image.","type":"string"},"enable_safety_checker":{"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","default":false,"examples":[true],"type":"boolean"},"prompt":{"description":"The text prompt to guide video generation.","title":"Prompt","examples":["Cars racing in slow motion"],"type":"string"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen."},"image_url":{"description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","title":"Image Url","examples":["https://storage.googleapis.com/falserverless/gallery/car_720p.png"],"type":"string"},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","title":"Enable Prompt Expansion","default":false,"examples":[false],"type":"boolean"},"num_frames":{"anyOf":[{"maximum":100,"minimum":81,"type":"integer"},{"type":"null"}],"default":81,"title":"Num Frames","description":"Number of frames to generate. Must be between 81 to 100 (inclusive). If the number of frames is greater than 81, the video will be generated with 1.25x more billing units."},"acceleration":{"description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'.","title":"Acceleration","default":"regular","enum":["none","regular"],"examples":["regular"],"type":"string"},"guide_scale":{"maximum":10,"minimum":1,"default":5,"title":"Guide Scale","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","type":"number"},"num_inference_steps":{"maximum":40,"minimum":2,"default":30,"title":"Num Inference Steps","description":"Number of inference steps for sampling. Higher values give better quality but take longer.","type":"integer"}},"title":"WanI2VRequest","x-fal-order-properties":["prompt","negative_prompt","image_url","num_frames","frames_per_second","seed","resolution","num_inference_steps","guide_scale","shift","enable_safety_checker","enable_prompt_expansion","acceleration","aspect_ratio"],"required":["prompt","image_url"],"type":"object"},"WanI2vOutput":{"properties":{"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"},"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-example.mp4"}],"description":"The generated video file."}},"title":"WanI2VResponse","x-fal-order-properties":["video","seed"],"required":["video","seed"],"type":"object"},"File":{"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"type":"object"}}},"paths":{"/fal-ai/wan-i2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-i2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-i2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanI2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-i2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanI2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/hailuo-02/pro/image-to-video","metadata":{"display_name":"MiniMax Hailuo 02 [Pro] (Image to Video)","category":"image-to-video","description":"MiniMax Hailuo-02 Image To Video API (Pro, 1080p): Advanced image-to-video generation model with 1080p resolution","status":"active","tags":[],"updated_at":"2026-04-21T17:52:00.135Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","model_url":"https://fal.run/fal-ai/minimax/hailuo-02/pro/image-to-video","license_type":"commercial","date":"2025-06-18T00:46:50.998Z","group":{"key":"hailuo-02","label":"Image to Video (pro) "},"highlighted":false,"kind":"inference","duration_estimate":2,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/minimax/hailuo-02/pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/hailuo-02/pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/hailuo-02/pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-02/pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-02/pro/image-to-video/api","about":"MiniMax Hailuo-02 Image To Video API (Pro, 1080p): Advanced image-to-video generation model with 1080p resolution"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxHailuo02ProImageToVideoInput":{"x-fal-order-properties":["prompt","image_url","prompt_optimizer","end_image_url"],"title":"ProImageToVideoHailuo02Input","properties":{"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/model_tests/minimax/1749891352437225630-389852416840474630_1749891352.png"],"type":"string"},"end_image_url":{"title":"End Image Url","description":"Optional URL of the image to use as the last frame of the video","anyOf":[{"type":"string","ui":{"field":"image"}},{"type":"null"}]},"prompt":{"title":"Prompt","examples":["Man walked into winter cave with polar bear"],"maxLength":2000,"type":"string"},"prompt_optimizer":{"title":"Prompt Optimizer","type":"boolean","description":"Whether to use the model's prompt optimizer","default":true}},"type":"object","required":["prompt","image_url"]},"MinimaxHailuo02ProImageToVideoOutput":{"x-fal-order-properties":["video"],"title":"ImageToVideoHailuo02Output","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://v3.fal.media/files/monkey/xF9OsLwGjjNURyAxD8RM1_output.mp4"}],"description":"The generated video"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/minimax/hailuo-02/pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-02/pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/hailuo-02/pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo02ProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-02/pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo02ProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/veo3.1/lite/first-last-frame-to-video","metadata":{"display_name":"Veo3.1 Lite FLF","category":"image-to-video","description":"Veo 3.1 Lite balances practical utility with professional capabilities, supporting Text-to-Video and Image-to-Video","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-04-28T16:29:09.509Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9460ff/_H3biJgSOvAGtxsxEVvCo_509e251f717a47cd9b5bad4a878551cd.jpg","model_url":"https://fal.run/fal-ai/veo3.1/lite/first-last-frame-to-video","license_type":"commercial","date":"2026-03-31T18:36:21.180Z","group":{"key":"veo3.1","label":"First/Last Frame to Video (Lite)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/veo3.1/lite/first-last-frame-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/veo3.1/lite/first-last-frame-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/veo3.1/lite/first-last-frame-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9460ff/_H3biJgSOvAGtxsxEVvCo_509e251f717a47cd9b5bad4a878551cd.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/veo3.1/lite/first-last-frame-to-video","documentationUrl":"https://fal.ai/models/fal-ai/veo3.1/lite/first-last-frame-to-video/api","about":"Generate videos by animating between a first and last frame using Google's Veo 3.1 Lite model.\n\nA lightweight, cost-effective variant of Veo 3.1.\n\nThe model supports:\n- Input images up to 8MB in size\n- 720p or 1080p output resolution\n- 8 second duration\n- 16:9 or 9:16 aspect ratio\n- Audio on or off (silent video)\n\nSafety filters are applied to both input images and generated content."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Veo31LiteFirstLastFrameToVideoInput":{"properties":{"last_frame_url":{"title":"Last Frame URL","description":"URL of the last frame of the video","examples":["https://storage.googleapis.com/falserverless/example_inputs/veo31-flf2v-input-2.jpeg"],"type":"string"},"negative_prompt":{"title":"Negative Prompt","description":"A negative prompt to guide the video generation.","anyOf":[{"type":"string"},{"type":"null"}]},"duration":{"title":"Duration","description":"The duration of the generated video.","default":"8s","type":"string","const":"8s"},"prompt":{"maxLength":20000,"title":"Prompt","description":"The text prompt describing the video you want to generate","examples":["A smooth transition between the two frames with natural motion."],"type":"string"},"first_frame_url":{"title":"First Frame URL","description":"URL of the first frame of the video","examples":["https://storage.googleapis.com/falserverless/example_inputs/veo31-flf2v-input-1.jpeg"],"type":"string"},"resolution":{"enum":["720p","1080p"],"title":"Resolution","description":"The resolution of the generated video.","default":"720p","type":"string"},"auto_fix":{"title":"Auto Fix","description":"Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them.","default":false,"type":"boolean"},"seed":{"title":"Seed","description":"The seed for the random number generator.","anyOf":[{"type":"integer"},{"type":"null"}]},"generate_audio":{"title":"Generate Audio","description":"Whether to generate audio for the video.","default":true,"type":"boolean"},"aspect_ratio":{"enum":["auto","16:9","9:16"],"title":"Aspect Ratio","description":"The aspect ratio of the generated video.","default":"auto","type":"string"},"safety_tolerance":{"enum":["1","2","3","4","5","6"],"title":"Safety Tolerance","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","default":"4","type":"string"}},"title":"Veo31LiteFirstLastFrameToVideoInput","required":["prompt","first_frame_url","last_frame_url"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","duration","negative_prompt","resolution","generate_audio","seed","auto_fix","safety_tolerance","first_frame_url","last_frame_url"]},"Veo31LiteFirstLastFrameToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video."}},"title":"Veo31LiteFirstLastFrameToVideoOutput","required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]}},"title":"File","required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/veo3.1/lite/first-last-frame-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3.1/lite/first-last-frame-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/veo3.1/lite/first-last-frame-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo31LiteFirstLastFrameToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3.1/lite/first-last-frame-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo31LiteFirstLastFrameToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"OA","has_more":true}
